Bug 1249926 - [abrt] xfce4-taskmanager: xtm_process_window_hide(): xfce4-taskmanager killed by SIGSEGV
[abrt] xfce4-taskmanager: xtm_process_window_hide(): xfce4-taskmanager killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-taskmanager (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ecff268dee29fd068ff9ce7a59b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 03:29 EDT by Christopher Meng
Modified: 2017-08-08 08:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.45 KB, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: core_backtrace (2.62 KB, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: dso_list (7.04 KB, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: environ (2.80 KB, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-04 03:29 EDT, Christopher Meng
no flags Details
File: maps (36.65 KB, text/plain)
2015-08-04 03:30 EDT, Christopher Meng
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-08-04 03:30 EDT, Christopher Meng
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-04 03:30 EDT, Christopher Meng
no flags Details
File: open_fds (511 bytes, text/plain)
2015-08-04 03:30 EDT, Christopher Meng
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2015-08-04 03:30 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2015-08-04 03:29:48 EDT
Version-Release number of selected component:
xfce4-taskmanager-1.1.0-4.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        xfce4-taskmanager
crash_function: xtm_process_window_hide
executable:     /usr/bin/xfce4-taskmanager
global_pid:     903
kernel:         4.2.0-0.rc3.git4.1.fc24.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 xtm_process_window_hide at process-window.c:429
 #1 _g_closure_invoke_va at gclosure.c:864
 #4 gtk_widget_hide at gtkwidget.c:3327
 #5 gtk_widget_dispose at gtkwidget.c:8794

Potential duplicate: bug 1201170
Comment 1 Christopher Meng 2015-08-04 03:29:51 EDT
Created attachment 1058957 [details]
File: backtrace
Comment 2 Christopher Meng 2015-08-04 03:29:52 EDT
Created attachment 1058958 [details]
File: cgroup
Comment 3 Christopher Meng 2015-08-04 03:29:54 EDT
Created attachment 1058959 [details]
File: core_backtrace
Comment 4 Christopher Meng 2015-08-04 03:29:55 EDT
Created attachment 1058960 [details]
File: dso_list
Comment 5 Christopher Meng 2015-08-04 03:29:57 EDT
Created attachment 1058961 [details]
File: environ
Comment 6 Christopher Meng 2015-08-04 03:29:58 EDT
Created attachment 1058962 [details]
File: limits
Comment 7 Christopher Meng 2015-08-04 03:30:00 EDT
Created attachment 1058963 [details]
File: maps
Comment 8 Christopher Meng 2015-08-04 03:30:02 EDT
Created attachment 1058964 [details]
File: mountinfo
Comment 9 Christopher Meng 2015-08-04 03:30:03 EDT
Created attachment 1058965 [details]
File: namespaces
Comment 10 Christopher Meng 2015-08-04 03:30:05 EDT
Created attachment 1058966 [details]
File: open_fds
Comment 11 Christopher Meng 2015-08-04 03:30:06 EDT
Created attachment 1058967 [details]
File: proc_pid_status
Comment 12 Mukundan Ragavan 2015-08-04 20:58:16 EDT
Is this crash reproducible or a one-off event?

What were you doing when this happened?
Comment 13 Christopher Meng 2015-08-05 08:11:00 EDT
I just opened the manager and might minimalize the window. 

From the backtrack I believe there is a bug in  handling window size.
Comment 14 Christopher Meng 2015-08-05 08:16:11 EDT
Backtrack/Backtrace, dumb mobile IM.
Comment 15 Jan Kurik 2016-02-24 08:31:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:05:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:04:52 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.